OpenCoverageCoreutils

Coreutils patch #38 - Test report of the modifications

Overview

Test Execution StatusStatistics
Passed
  0.000% (0/108)
Failed
  0.000% (0/108)
Requires Manual Checking
  0.000% (0/108)
Unknown
  0.926% (1/108)
All
  0.926% (1/108)
CategoryRemoved LinesInserted LinesTotal
Modified lines executed:
 20.000% (1/5)
  7.692% (1/13)
 11.111% (2/18)
Modified lines not executed:
  0.000% (0/5)
  0.000% (0/13)
  0.000% (0/18)
Source code lines not covered:
 80.000% (4/5)
 92.308% (12/13)
 88.889% (16/18)

List of tests executing the changes

Execution NameState
tailUnknown

Patch File

Showing: 

Modified File: NEWS

LineTestsDifference Output
diff --git a/NEWS b/NEWS
index 2a2515b7e..3626c3da7 100644
--- a/NEWS
+++ b/NEWS
@@ -25,6 +25,10 @@ GNU coreutils NEWS -*- outline -*-
25 stty no longer crashes when processing settings with -F also specified.
26 [bug introduced in fileutils-4.0]
27
28
-
+ tail --bytes again supports non seekable inputs on all systems.
29
-
+ On systems like android it always tried to process as seekable inputs.
30
-
+ [bug introduced in coreutils-8.24]
31
-
+
28 ➡ 32 timeout will again notice its managed command exiting, even when
29 ➡ 33 invoked with blocked CHLD signal, or in a narrow window where
30 ➡ 34 this CHLD signal from the exiting child was missed. In each case

Modified File: src/tail.c

LineTestsDifference Output
diff --git a/src/tail.c b/src/tail.c
index 536d0346d..642c448bf 100644
--- a/src/tail.c
+++ b/src/tail.c
@@ -1855,7 +1855,7 @@ tail_bytes (const char *pretty_filename, int fd, uintmax_t n_bytes,
1855 else if ((current_pos = lseek (fd, -n_bytes, SEEK_END)) != -1)
1856 end_pos = current_pos + n_bytes;
1857 }
1858
1
Executed by:
  • tail
- if (end_pos <= ST_BLKSIZE (stats))
1858
1
Executed by:
  • tail
+ if (end_pos <= (off_t) ST_BLKSIZE (stats))
1859 return pipe_bytes (pretty_filename, fd, n_bytes, read_pos);
1860 if (current_pos == -1)
1861 current_pos = xlseek (fd, 0, SEEK_CUR, pretty_filename);

Modified File: tests/tail-2/tail-c.sh

LineTestsDifference Output
diff --git a/tests/tail-2/tail-c.sh b/tests/tail-2/tail-c.sh
index 48060ff3f..1edba57bf 100755
--- a/tests/tail-2/tail-c.sh
+++ b/tests/tail-2/tail-c.sh
@@ -20,15 +20,19 @@
20 print_ver_ tail
21
22 # Make sure it works on funny files in /proc and /sys.
23
-
No equivalent source code line in the reference code can be identified.
-
24 ➡ 23 for file in /proc/version /sys/kernel/profiling; do
25 ➡ 24 if test -r $file; then
26 ➡ 25 cp -f $file copy &&
27
-
No equivalent source code line in the reference code can be identified.
- tail -c -1 copy > exp1 || framework_failure_
26
-
+ tail -c -1 copy > exp || framework_failure_
28 ➡ 27
29
-
No equivalent source code line in the reference code can be identified.
- tail -c -1 $file > out1 || fail=1
30
-
No equivalent source code line in the reference code can be identified.
- compare exp1 out1 || fail=1
28
-
+ tail -c -1 $file > out || fail=1
29
-
+ compare exp out || fail=1
31 ➡ 30 fi
32 ➡ 31 done
33 ➡ 32
33
-
+# Make sure it works for pipes
34
-
+printf '123456' | tail -c3 > out || fail=1
35
-
+printf '456' > exp || framework_failure_
36
-
+compare exp out || fail=1
37
-
+
34 ➡ 38 Exit $fail

Generated by Squish Coco 4.1.2